python3.7 3.7.1-1~18.04 source package in Ubuntu

Changelog

python3.7 (3.7.1-1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1799202.

python3.7 (3.7.1-1) unstable; urgency=medium

  * Python 3.7.1 release.

python3.7 (3.7.1~rc2-1) unstable; urgency=medium

  * Python 3.7.1 release candidate 2.

python3.7 (3.7.1~rc1-1) unstable; urgency=medium

  * Python 3.7.1 release candidate 1.

python3.7 (3.7.0-7) unstable; urgency=medium

  * Update to 20180925 from the 3.7 branch.
  * Don't run OpenSSL related tests during the build. Hanging on
    some buildds.

python3.7 (3.7.0-6) unstable; urgency=medium

  * Update to 20180901 from the 3.7 branch.
    - Fixes the build with OpenSSL 1.1.1. Closes: #907031.
  * Don't run the test_ftplib and test_ssl autopkg tests, not yet ready
    for OpenSSL 1.1.1.

python3.7 (3.7.0-5) unstable; urgency=medium

  * Update to 20180820 from the 3.7 branch.
  * Avoid usage of distutils in the platform module. See issue #26544.
  * Fix some issues on architectures from the computer museum (Jason Duerstock).
    Closes: #905536.
    - Disable -O3 on ia64 (see PR rtl-optimization/85412).
    - Remove the -O2 override on m68k (see Debian #326903).
    - Remove the -mieee and -O2 overrides for DEC Alpha (see Debian #212912).
  * Add more breaks for packages not compatible with Python 3.7:
    - python3-aiomeasures. See #906159.
    - python3-motor (updated). See #903527.
  * Again close the RC issue about the syntax errors triggered by Python 3.7.
    Closes: #902788.
  * Update symbols files.

python3.7 (3.7.0-4) unstable; urgency=medium

  * Update to 20180802 from the 3.7 branch.
  * Add more breaks for packages not compatible with Python 3.7:
    - python3-pyatspi. See #902989.
  * Move test/__main__.py into libpython3.7-stdlib.

python3.7 (3.7.0-3) unstable; urgency=medium

  * Update to 20180730 from the 3.7 branch.
  * Add more breaks for packages not compatible with Python 3.7:
    - python3-trollius. See #903888.
    - python3-sleekxmpp. See #904453.
    - voltron. See #904657.
    - visidata. See #904656.
    - salt-common. See #903654.
    - python3-yowsup. See #904653.
    - python3-websockets. See #904650.
    - python3-txfixtures. See #904649.
    - python3-tweepy. See #904648.
    - python3-slixmpp. See #904644.
    - python3-signaller. See #904642.
    - python3-rpyc. See #904615.
    - python3-protorpc-standalone. See #904603.
    - python3-nova. See #904587.
    - python3-murano. See #904581.
    - python3-mastodon. See #904579.
    - python3-hug. See #904576.
    - python3-async. See #904492.
    - python3-pylama. See #904491.
    - python3-exabgp. See #904390.
    - python3-glance. See #904389.
    - python3-gbulb. See #904388.
    - python3-engineio. See #904383.
    - python3-doublex. See #904382.
    - python3-dns. See #904381.
    - python3-opcua. See #904373.
    - openscap-daemon. See #904.
    - oca-core. See #904370.
    - patroni. See #904369.
    - python3-panoramisk. See #904368.
    - linux-show-player-. See #904367.
    - python3-cs. See #904365.
    - python3-azure. See #904364.
    - python3-applicationinsights. See #904363.
    - python3-aiopg. See #904361.
    - python3-aiozmq. See #904358.
    - python3-pysnmp4. See #904357.
    - python3-astroquery. See #904351.
    - snakemake. See #904350.
    - fail2ban. See #902817.
    - python3-morse-simulator. See #904343.
    - python3-tango. See #904298.
    - python3-pycuda. See #903826.
    - python3-pycsw. See #903784.
    - gnome3-builder. See #903558.
  * Close the RC issue about the syntax errors triggered by Python 3.7, now
    that all the breaks are in place. Closes: #902788.
  * Mark the lib2to3 and site tests as succeeding again, mark the tcl test
    as failing (issue #34178).

python3.7 (3.7.0-2) unstable; urgency=medium

  * Update to 20180720 from the 3.7 branch.
  * Add breaks for packages not compatible with Python 3.7:
    - python3-twisted. See #902766.
    - python3-pexpect. See #902646.
    - python3-cxx-dev. See #902673.
    - libboost-python1.62.0. See #902702.
    - python3-psycopg2. See #902715.
    - python3-maxminddb. See #902756.
    - python3-blist. See #902757.
    - python3-django. See #902761.
    - diffoscope. See #902650.
    - gpodder. See #902704.
    - python3-http-parser. See: #902759.
    - python3-celery. See #902900.
    - python3-astroid. See #902631.
    - python3-ubjson. See #902762.
    - python3-protobuf. See #902597.
    - python3-opengl. See #903218.
    - python3-ws4py. See #903529.
    - python3-dropbox. See #903525.
    - python3-pycuda. See #903826.
    - python3-libcloud. See #903388.
    - python3-motor. See #903527.
    - python3-jira. See #903526.

 -- Matthias Klose <email address hidden>  Mon, 22 Oct 2018 13:21:55 +0200

Upload details

Uploaded by:
Matthias Klose on 2018-10-22
Uploaded to:
Bionic
Original maintainer:
Matthias Klose
Architectures:
any all
Section:
misc
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Bionic proposed on 2018-10-23 universe misc

Downloads

File Size SHA-256 Checksum
python3.7_3.7.1.orig.tar.xz 16.2 MiB fa7e2b8e8c9402f192ad56dc4f814089d1c4466c97d780f5e5acc02c04243d6d
python3.7_3.7.1-1~18.04.debian.tar.xz 202.9 KiB 69c6089e6ccf7542ca7592f2415ddea2e88a2cffdbbae578d041c9f0c4f13062
python3.7_3.7.1-1~18.04.dsc 3.4 KiB 1d7dcaf85dd67a57a868fb821765405af23fe5f8ff6567cb4595d33b9fcf1bfe

Available diffs

View changes file

Binary packages built by this source

idle-python3.7: IDE for Python (v3.7) using Tkinter

 IDLE is an Integrated Development Environment for Python (v3.7).
 IDLE is written using Tkinter and therefore quite platform-independent.

libpython3.7: Shared Python runtime library (version 3.7)

 Python is a high-level, interactive, object-oriented language. Its 3.7 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package contains the shared runtime library, normally not needed
 for programs using the statically linked interpreter.

libpython3.7-dbg: Debug Build of the Python Interpreter (version 3.7)

 The package holds two things:
 .
 - Extensions for a Python interpreter configured with --pydebug.
 - Debug information for standard python extensions.
 .
 See the README.debug for more information.

libpython3.7-dev: Header files and a static library for Python (v3.7)

 Header files, a static library and development tools for building
 Python (v3.7) modules, extending the Python interpreter or embedding
 Python (v3.7) in applications.
 .
 Maintainers of Python packages should read README.maintainers.
 .
 This package contains development files. It is normally not
 used on it's own, but as a dependency of python3.7-dev.

libpython3.7-minimal: Minimal subset of the Python language (version 3.7)

 This package contains some essential modules. It is normally not
 used on it's own, but as a dependency of python3.7-minimal.

libpython3.7-stdlib: Interactive high-level object-oriented language (standard library, version 3.7)

 Python is a high-level, interactive, object-oriented language. Its 3.7 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package contains Python 3.7's standard library. It is normally not
 used on its own, but as a dependency of python3.7.

libpython3.7-testsuite: Testsuite for the Python standard library (v3.7)

 The complete testsuite for the Python standard library. Note that
 a subset is found in the libpython3.7-stdlib package, which should
 be enough for other packages to use (please do not build-depend
 on this package, but file a bug report to include additional
 testsuite files in the libpython3.7-stdlib package).

python3.7: Interactive high-level object-oriented language (version 3.7)

 Python is a high-level, interactive, object-oriented language. Its 3.7 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.

python3.7-dbg: Debug Build of the Python Interpreter (version 3.7)

 The package holds two things:
 .
 - A Python interpreter configured with --pydebug. Dynamically loaded modules
   are searched as <foo>_d.so first. Third party extensions need a separate
   build to be used by this interpreter.
 - Debug information for standard python interpreter and extensions.
 .
 See the README.debug for more information.

python3.7-dev: Header files and a static library for Python (v3.7)

 Header files, a static library and development tools for building
 Python (v3.7) modules, extending the Python interpreter or embedding
 Python (v3.7) in applications.
 .
 Maintainers of Python packages should read README.maintainers.

python3.7-doc: Documentation for the high-level object-oriented language Python (v3.7)

 These is the official set of documentation for the interactive high-level
 object-oriented language Python (v3.7). All documents are provided
 in HTML format. The package consists of ten documents:
 .
   * What's New in Python3.7
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules

python3.7-examples: Examples for the Python language (v3.7)

 Examples, Demos and Tools for Python (v3.7). These are files included in
 the upstream Python distribution (v3.7).

python3.7-minimal: Minimal subset of the Python language (version 3.7)

 This package contains the interpreter and some essential modules. It can
 be used in the boot process for some basic tasks.
 See /usr/share/doc/python3.7-minimal/README.Debian for a list of the modules
 contained in this package.

python3.7-venv: Interactive high-level object-oriented language (pyvenv binary, version 3.7)

 Python is a high-level, interactive, object-oriented language. Its 3.7 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package contains the pyvenv-3.7 binary.